> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete user

> Deletes user from current account. If a user has access to multiple accounts, you must [revoke access](#tag/Users/paths/~1clients~1{clientId}~1client-users~1{userId}/delete) to other accounts before deleting.



## OpenAPI

````yaml /api-reference/services_documented/iam_reseller_api.yaml delete /iam/users/{userId}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – IAM Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: IAM Reseller Account
    description: >-
      Account management operations including authentication, password
      management, and account details.
    x-displayName: Account
  - name: IAM Reseller Clients
    description: >-
      Clients management API.


      Note: For client's creation use [create a new
      user](#tag/Users/paths/~1users/post) method from Users management API.
    x-displayName: Clients
  - name: IAM Reseller Users
    description: Client's users management API.
    x-displayName: Users
  - name: Sellers
    description: Seller management API.
    x-displayName: Sellers
  - name: Products' availability
    description: >-
      As a reseller you can get access to multiple products that available for
      you. Such as CDN.


      With this API you can manage which products are available for you clients
      by default or manage personal

      products' availability for each client separately.
    x-displayName: Products' availability
  - name: Services
    description: Client services management API for managing service statuses and options.
    x-displayName: Services
  - name: IAM Reseller Features
    description: You can manage both free and paid features available for you.
    x-displayName: Features
  - name: Branding
    description: >-
      Branding settings management API for customizing reseller branding
      including logos, colors, and domain settings.
    x-displayName: Branding
  - name: Notification Settings
    description: Notification settings which not connected with branding
    x-displayName: Notification Settings
  - name: Other
    x-displayName: Other
paths:
  /iam/users/{userId}:
    delete:
      tags:
        - IAM Reseller Users
      summary: Delete user
      description: >-
        Deletes user from current account. If a user has access to multiple
        accounts, you must [revoke
        access](#tag/Users/paths/~1clients~1{clientId}~1client-users~1{userId}/delete)
        to other accounts before deleting.
      parameters:
        - $ref: '#/components/parameters/UserID'
      responses:
        '200':
          description: User has been successfully deleted.
        '401':
          $ref: '#/components/responses/401'
        '403':
          description: You do not have permission to perform this action.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteUserForbiddenError'
        '404':
          description: User not found.
components:
  parameters:
    UserID:
      name: userId
      in: path
      required: true
      description: User's ID.
      schema:
        type: integer
  responses:
    '401':
      description: >-
        Authentication credentials were not provided or given token not valid
        for any token type.
  schemas:
    DeleteUserForbiddenError:
      oneOf:
        - title: The specified user has access to multiple accounts.
          type: object
          properties:
            errors:
              type: object
              description: >-
                The specified user has access to multiple accounts. Please
                [revoke
                access](#tag/Users/paths/~1clients~1{clientId}~1client-users~1{userId}/delete)
                to other accounts before deleting.
          example:
            message: >
              Cannot delete user with multiple accounts.

              Use /clients/:client_id/client-users/:user_id to delete the user
              from a specific account.
        - $ref: '#/components/schemas/TokenConstrainsDeletion'
    TokenConstrainsDeletion:
      title: The specified user has API tokens.
      type: object
      properties:
        message:
          type: string
          description: >-
            The specified user has API tokens.

            Please [delete API tokens](DELETE
            /clients/{clientId}/tokens/{tokenId}) before the user deleting.
      example:
        message: You can't remove the user as they have active tokens
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````